create table user(
user_id int not null auto_increment primary key,
name varchar(200),
phone varchar(200),
email varchar(200),
password varchar(200)
);
create table question(
question_id int not null auto_increment primary key,
question_name varchar(200),
answer_a varchar(200),
answer_b varchar(200),
answer_c varchar(200),
answer_d varchar(200),
answer_right varchar(200)
);
create table result(
result_id int not null auto_increment primary key,
user_id int,
result varchar(200),

);


create table admin(
admin_id int not null auto_increment primary key,
admin_name varchar(200),
password varchar(200)

);


<!-- Timmer -->
	<!-- <div class="timmer" id="timmerClock" style="display: none;"> -->
	<div class="timmer" id="timmerClock">
        <span class="minute">Minutes</span>
        <span class="column">:</span>
        <span class="second">Second</span>
    </div>
</body>
<script type="text/javascript">
	$(document).ready(function(){
		// function to calculate minute and second from milisecond;
        function convertMilsecond(data){
            let minute = 0;
            let second = 0;
            let raw_min = data / 60000;
            minute = Math.floor(raw_min);
            second = (raw_min - minute) * 60;
            second = Math.round(second);
            return {minute, second};
        }
        // function to summerize total score;
        function summerizeScore(){
            let i;
            let answersArr = [];
            for(i in MY_QUESTIONS){
                let answer = MY_QUESTIONS[i]["right_answer"];
                answersArr.push(answer);
            }

            // alert(answersArr);
            let ans_summary = [];
            $("div.qestion_div").each(function(){
                let checketInp = $(this).find("input:checked");
                let stu_answer = "null";
                if(checketInp.length > 0){
                    stu_answer = checketInp.siblings("span:eq(0)").text().trim().toLowerCase();
                }
                ans_summary.push(stu_answer);
            });
            let total_score = 0;
            let n;
            for(n in ans_summary){
                let choosed_ans = ans_summary[n];
                let right_answer = answersArr[n];
                if(choosed_ans === right_answer){
                    total_score++;
                }
            }

            alert("Your total score is: " + total_score);
            
        }
        $(document).on("click","button.answer_btn", function(){
            // alert("Hello");
            let currentDiv = $(this).closest("div.qestion_div");
            let isChecked = false;
            if(currentDiv.find("input:checked").length > 0){
                isChecked = true;
            }
            if(isChecked){
                let nextDiv = currentDiv.next("div.qestion_div");
                if(nextDiv.length > 0){
                    currentDiv.hide();
                    nextDiv.show();
                }else{
                    summerizeScore();
                    clearInterval(my_timmer);
                }
            }else{
                alert("Please select your answer!");
            }
            
        });
        $(document).on("click","ul.answer_ul li", function(){
            $(this).find("input[type=checkbox]").click();
        });
        let answerTime = 60000;
        $.post("server.php",{getQuestion: true},function(data){
            if(data){
                let questionData = JSON.parse(data);
                window.MY_QUESTIONS = questionData; //saving data;
                let totalData = questionData.length;
                answerTime = answerTime * totalData;
                let i;
                let n = 1;
                for(i in questionData){
                    let my_data = questionData[i];
                    let my_questionDiv = CreateQuestionBox(n, my_data["question"], my_data["answers"]);
                    $("body").append(my_questionDiv);
                    n++;
                }
                $("div.qestion_div").hide();
                $("div.qestion_div:first").show();
            }
        });
        // function for timmer;
        function myTime(){
            answerTime -= 1000;
            let timeObj = convertMilsecond(answerTime);
            let minute_time = timeObj.minute;
            let second_time = timeObj.second;
            if(answerTime > 0){
                // showing time;
                $("div.timmer span.minute").text(minute_time);
                $("div.timmer span.second").text(second_time);

            }else{
                // showing time;
                $("div.timmer span.minute").text(minute_time);
                $("div.timmer span.second").text(second_time);
                clearInterval(my_timmer);
                summerizeScore();   //summerizing score;
            }
        }
	})
</script>