
    
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
    <script src="js/jquery.js" type="text/javascript"></script>
    <script src="function.js" type="text/javascript"></script>
</head>
<body>
    <?php 
    include("config.php");
    if(isset($_POST['my_last_id']))
    {
        $my_last_id=$_POST['my_last_id'];
       // echo $my_last_id;
    }
     
    ?>
    
    <div>
        <input type="hidden" class="my_lastid" value="<?php echo $my_last_id; ?>">
    </div>
    <div class="timmer" id="timmerClock">
        <span class="minute">Minutes</span>
        <span class="column">:</span>
        <span class="second">Second</span>
    </div>
</body>
<script>
    $(document).ready(function () {
        // function to calculate minute and second from milisecond;
        function convertMilsecond(data){
            let minute = 0;
            let second = 0;
            let raw_min = data / 60000;
            minute = Math.floor(raw_min);
            second = (raw_min - minute) * 60;
            second = Math.round(second);
            return {minute, second};
        }
        // function to summerize total score;
        function summerizeScore(){
            let i;
            let answersArr = [];
            for(i in MY_QUESTIONS){
                let answer = MY_QUESTIONS[i]["right_answer"];
                answersArr.push(answer);
            }

            // alert(answersArr);
            let ans_summary = [];
            $("div.qestion_div").each(function(){
                let checketInp = $(this).find("input:checked");
                let stu_answer = "null";
                if(checketInp.length > 0){
                    stu_answer = checketInp.siblings("span:eq(0)").text().trim().toLowerCase();
                }
                ans_summary.push(stu_answer);
            });
            let total_score = 0;
            let n;
            for(n in ans_summary){
                let choosed_ans = ans_summary[n];
                let right_answer = answersArr[n];
                if(choosed_ans === right_answer){
                    total_score++;
                }
            }
            var my_lastid=$(".my_lastid").val();
           // alert(my_lastid);
            $.post("process.php",{total_score:total_score,my_lastid:my_lastid},function()
                {

                });
            //alert("Your total score is: " + total_score);
            //$(".login_div").empty().text("Your total score is: " + total_score);
            $(".login_div").empty().append($("<center>").append($("<span>").text(`*****သင်၏ ရမှတ်မှာ ( ${total_score} ) မှတ်ဖြစ်ပါသည်*****`).addClass("result_span").append(
                $("<span>").text("ထွက်မည်").addClass("logout_span"))));
            
        }
        $(document).on("click","button.answer_btn", function(){
            // alert("Hello");
            let currentDiv = $(this).closest("div.qestion_div");
            let isChecked = false;
            if(currentDiv.find("input:checked").length > 0){
                isChecked = true;
            }
            if(isChecked){
                let nextDiv = currentDiv.next("div.qestion_div");
                if(nextDiv.length > 0){
                    currentDiv.hide();
                    nextDiv.show();
                }else{
                    summerizeScore();
                    clearInterval(my_timmer);
                }
            }else{
                alert("Please select your answer!");
            }
            
        });

        $(document).on("click","ul.answer_ul li", function(){
            $(this).find("input[type=checkbox]").click().prop("checked",true);
        });

        let answerTime = 60000;
        $.post("server.php",{getQuestion: true},function(data){
            if(data){
                let questionData = JSON.parse(data);
                window.MY_QUESTIONS = questionData; //saving data;
                let totalData = questionData.length;
                answerTime = answerTime * totalData;
                let i;
                let n = 1;
                for(i in questionData){
                    let my_data = questionData[i];
                    let my_questionDiv = CreateQuestionBox(n, my_data["question"], my_data["answers"]);
                    $("div.login_div").append(my_questionDiv);
                    n++;
                }
                $("div.qestion_div").hide();
                $("div.qestion_div:first").show();
            }
        });
        // function for timmer;
        let my_timmer = setInterval(myTime, 1000);
        function myTime(){
            answerTime -= 1000;
            let timeObj = convertMilsecond(answerTime);
            let minute_time = timeObj.minute;
            let second_time = timeObj.second;
            if(answerTime > 0){
                // showing time;
                $("div.timmer span.minute").text(minute_time);
                $("div.timmer span.second").text(second_time);

            }else{
                // showing time;
                $("div.timmer span.minute").text(minute_time);
                $("div.timmer span.second").text(second_time);
                clearInterval(my_timmer);
                summerizeScore();   //summerizing score;
            }
        }

    });
</script>
</html>