function CreateQuestionBox(qNumber = 0, qText = "", answers = []){
    // function to create question paragraph;
    function createParagraph(number, questionText){
        let paragraph = $("<p>").addClass("question_text").text(" "+questionText);
        let serialSpan = $("<span>").text("("+number+")");
        paragraph.prepend(serialSpan);
        return paragraph;
    }
    // function to create ansewr_ul;
    function createAnswerUl(dataObj = []){
        // function answer_li;
        function createAnswerLi(number, answer_txt){
            let my_li = $("<li>");
            let serial_span = $("<span>").addClass("serial").text(number);
            let text_span = $("<span>").addClass("text").text(answer_txt);
            let my_checkBox = $("<input type='checkbox'>").addClass("answer_check");
            // function to control checkbox;
            my_checkBox.click(function(){
                $(this).closest("ul").find("input:checkbox").not(this).prop("checked", false);
            })
            my_li.append(serial_span).append(text_span).append(my_checkBox);
            return my_li;
        }
        let serialNos = ["A","B","C","D","E","F","G","H","I","J"];
        let answerUl = $("<ul>").addClass("answer_ul");
        let i;
        for(i in dataObj){
            let answer_li = createAnswerLi(serialNos[i], dataObj[i]);
            answerUl.append(answer_li);
        }
        return answerUl;
    }
    // function to create button_panel;
    function createBtnPanel(btn_text){
        let btn_div = $("<div>").addClass("button_div");
        let answer_btn = $("<button>").text(btn_text).addClass("answer_btn");
        // answer_btn.click(function(){
        //     let currentDiv = $(this).closest("div.qestion_div");
        //     let nextDiv = currentDiv.next("div.qestion_div");
        //     if(nextDiv.length > 0){
        //         currentDiv.hide();
        //         nextDiv.show();
        //     }else{
        //         alert("there is no more div");
        //     }
        // })
        btn_div.append(answer_btn);
        return btn_div;
    }
    let questionBox = $("<div>").addClass("qestion_div");
    questionBox.append(createParagraph(qNumber, qText)).append(createAnswerUl(answers)).append(createBtnPanel("ဖြေဆိုမည်"));
    return questionBox;
}